program perde;
var
a,b,i,j:integer;
x,y:integer;
c:boolean;
begin
readln(a,b);
c:=true;
if a>3 then begin
write(1,' ');
j:=1;
x:=round((a-2)/(b-1));
for i:=1 to b-2 do begin
j:=j+x;
end;
y:=a-j;
j:=1;
x:=round((a-2)/(b-1));
for i:=1 to b-2 do begin
if (y<x) and (i-1=b-2-x+y) and (c) then begin x:=x-1;c:=false;end;
if (x>y) and (i-1=b-2-y+x) and (c) then begin x:=x+1;c:=false;end;
j:=j+x;
write(j,' ');
end;
writeln(a);
end else writeln(1,' ',a);
end.